rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
headerToken_s Struct Reference
HEADER.

The Header data structure. More...

`#include <rpmdb/header_internal.h>`

Collaboration diagram for headerToken_s:
[legend]

## Data Fields
struct rpmioItem_s | _item
unsigned char | magic [8]
void * | blob
size_t | bloblen
const char * | origin
const char * | baseurl
const char * | digest
void * | rpmdb
struct stat | sb
rpmuint32_t | instance
rpmuint32_t | startoff
rpmuint32_t | endoff
struct rpmop_s | h_loadops
struct rpmop_s | h_getops
indexEntry | index
size_t | indexUsed
size_t | indexAlloced
rpmuint32_t | flags

## Detailed Description

The Header data structure.

Definition at line 85 of file header_internal.h.

## Field Documentation

struct rpmioItem_s headerToken_s::_item

usage mutex and pool identifier.

Definition at line 86 of file header_internal.h.

Referenced by headerLoad(), and headerUsageCount().

const char* headerToken_s::baseurl

Header base URL (e.g. path or URL).

Definition at line 94 of file header_internal.h.

Referenced by headerGetBaseURL(), headerLoad(), headerNew(), headerReload(), headerScrub(), and headerSetBaseURL().

void* headerToken_s::blob

Header region blob.

Definition at line 89 of file header_internal.h.

Referenced by headerLoad(), headerNew(), and headerScrub().

size_t headerToken_s::bloblen

Header region blob length (in bytes).

Definition at line 90 of file header_internal.h.

Referenced by headerLoad(), headerMap(), headerNew(), and headerScrub().

const char* headerToken_s::digest

Header digest (from origin *.rpm file)

Definition at line 96 of file header_internal.h.

Referenced by headerGetDigest(), headerLoad(), headerNew(), headerReload(), headerScrub(), and headerSetDigest().

rpmuint32_t headerToken_s::endoff

Header ending byte offset in package.

Definition at line 102 of file header_internal.h.

Referenced by headerGetEndOff(), headerLoad(), headerNew(), and headerSetEndOff().

rpmuint32_t headerToken_s::flags

Definition at line 109 of file header_internal.h.

Referenced by findEntry(), headerAddEntry(), headerAllocated(), headerLoad(), headerMap(), headerNew(), headerReload(), headerScrub(), headerSizeof(), headerSort(), headerUnload(), rdSignature(), rpmmiNext(), and rpmReadHeader().

struct rpmop_s headerToken_s::h_getops

Definition at line 104 of file header_internal.h.

Referenced by headerGetStats(), headerLoad(), and headerNew().

struct rpmop_s headerToken_s::h_loadops

Definition at line 103 of file header_internal.h.

Referenced by headerGetStats(), headerLoad(), and headerNew().

indexEntry headerToken_s::index

Array of tags.

Definition at line 106 of file header_internal.h.

Referenced by findEntry(), headerAddEntry(), headerLoad(), headerModifyEntry(), headerNew(), headerNext(), headerReload(), headerRemoveEntry(), headerScrub(), headerSizeof(), headerSort(), headerUnload(), and headerUnsort().

size_t headerToken_s::indexAlloced

Allocated size of tag array.

Definition at line 108 of file header_internal.h.

Referenced by headerAddEntry(), headerLoad(), and headerNew().

size_t headerToken_s::indexUsed

Current size of tag array.

Definition at line 107 of file header_internal.h.

Referenced by findEntry(), headerAddEntry(), headerLoad(), headerNew(), headerNext(), headerRemoveEntry(), headerScrub(), headerSort(), headerUnload(), and headerUnsort().

rpmuint32_t headerToken_s::instance

Header instance (if from rpmdb).

Definition at line 100 of file header_internal.h.

Referenced by headerGetInstance(), headerLoad(), headerNew(), headerReload(), and headerSetInstance().

unsigned char headerToken_s::magic[8]

Header magic.

Definition at line 87 of file header_internal.h.

Referenced by headerGetMagic(), headerLoad(), headerNew(), and headerSetMagic().

const char* headerToken_s::origin

Header origin (e.g. path or URL).

Definition at line 92 of file header_internal.h.

Referenced by headerGetOrigin(), headerLoad(), headerNew(), headerReload(), headerScrub(), and headerSetOrigin().

void* headerToken_s::rpmdb

rpmdb pointer (or NULL).

Definition at line 98 of file header_internal.h.

Referenced by headerGetRpmdb(), headerLoad(), headerNew(), headerReload(), and headerSetRpmdb().

struct stat headerToken_s::sb

Header stat(2) (from origin *.rpm file)

Definition at line 99 of file header_internal.h.

Referenced by headerGetStatbuf(), headerLoad(), headerNew(), headerReload(), and headerSetStatbuf().

rpmuint32_t headerToken_s::startoff

Header starting byte offset in package.

Definition at line 101 of file header_internal.h.

Referenced by headerGetStartOff(), headerLoad(), headerNew(), and headerSetStartOff().

The documentation for this struct was generated from the following file:

- rpmdb/header_internal.h